import QtQuick 2.4
import Ubuntu.Components 1.3
import UbuntuSiloInstaller 1.0
import U1db 1.0 as U1db
import QtSystemInfo 5.0

MainView {
    id: main
    // objectName for functional testing purposes (autopilot-qt5)
    objectName: "mainView"

    // Note! applicationName needs to match the "name" field of the click manifest
    applicationName: "ubuntu-silo-installer.fboucault"

//    headerColor: "#343C60"
//    backgroundColor: "#6A69A2"
//    footerColor: "#8896D5"
//    theme.name: "Ubuntu.Components.Themes.SuruDark"

    width: units.gu(100)
    height: units.gu(75)

    property var localSilosDB: U1db.Database {
        path: "local_silos.u1db"

        function empty() {
            var docs = listDocs();
            for (var index in docs) {
                deleteDoc(docs[index]);
            }
        }
    }

    property var installers: ({})
    Component {
        id: installerComponent
        RequestInstaller {
        }
    }

    function getInstallerForRequest(requestId) {
        var installer;
        if (installers[requestId] != undefined) {
            installer = installers[requestId];
        } else {
            installer = installerComponent.createObject(main, {"requestId": requestId});
            installers[requestId] = installer;
        }
        return installer;
    }

    AdaptivePageLayout {
        id: adaptivePageLayout
        anchors.fill: parent
        primaryPage: IndexPage {}
//        primaryPage: AllSilosPage {}
//        primaryPage: ProjectsPage {}
//        primaryPage: SiloPage { requestId: "972" }
    }

    property string password

    AuthenticationService {
        onDenied: Qt.quit();
    }

    ScreenSaver {
        id: screenSaver
        screenSaverEnabled: false
    }
}

