import QtQuick 2.4
import Ubuntu.Components 1.3
import Ubuntu.Components.Themes.Ambiance 1.3

TextArea {
    id: terminal

    property bool hasError: false

    implicitWidth: units.gu(30)
    implicitHeight: units.gu(30)

    readOnly: true

    font.family: "mono"
    font.pixelSize: FontUtils.sizeToPixels("xx-small")
    color: theme.palette.normal.foregroundText
    style: TextAreaStyle {
        background: UbuntuShape {
            anchors.fill: parent
            backgroundColor: terminal.hasError ? UbuntuColors.red : theme.palette.normal.foreground
        }
    }
    Binding {
        target: terminal
        property: "cursorPosition"
        value: terminal.text.length - 1
    }
    
    onLinkActivated: Qt.openUrlExternally(link)
}
