TEMPLATE = aux
TARGET = UbuntuSiloInstaller

RESOURCES += UbuntuSiloInstaller.qrc

QML_FILES += $$files(*.qml,true) \
             $$files(*.js,true)

CONF_FILES +=  UbuntuSiloInstaller.apparmor \
               UbuntuSiloInstaller.png \
               customcitrain \
               ppa-purge \
               customsudo \
               installclick \
               uninstallclick

AP_TEST_FILES += tests/autopilot/run \
                 $$files(tests/*.py,true)

OTHER_FILES += $${CONF_FILES} \
               $${QML_FILES} \
               $${AP_TEST_FILES} \
               UbuntuSiloInstaller.desktop 

#specify where the qml/js files are installed to
qml_files.path = /UbuntuSiloInstaller
qml_files.files += $${QML_FILES}

#specify where the config files are installed to
config_files.path = /UbuntuSiloInstaller
config_files.files += $${CONF_FILES}

#install the desktop file, a translated version is automatically created in 
#the build directory
desktop_file.path = /UbuntuSiloInstaller
desktop_file.files = $$OUT_PWD/UbuntuSiloInstaller.desktop 
desktop_file.CONFIG += no_check_exist 

INSTALLS+=config_files qml_files desktop_file

DISTFILES += \
    JSONListModel.qml \
    jsonpath.js \
    ProjectsPage.qml \
    IndexPage.qml \
    RequestInstaller.qml \
    Terminal.qml \
    SiloInstaller.qml \
    ClickInstaller.qml \
    Common.js \
    AllSilosPage.qml \
    InstalledSilos.qml \
    ProjectSilosPage.qml \
    SiloPage.qml \
    AuthenticationDialog.qml \
    AuthenticationService.qml

!equals(_PRO_FILE_PWD_, $$OUT_PWD) {
    copy_customcitrain.target = $$OUT_PWD/customcitrain
    copy_customcitrain.depends = $$_PRO_FILE_PWD_/customcitrain
    copy_customcitrain.commands = $(COPY_FILE) \"$$replace(copy_customcitrain.depends, /, $$QMAKE_DIR_SEP)\" \"$$replace(copy_customcitrain.target, /, $$QMAKE_DIR_SEP)\"
    copy_ppapurge.target = $$OUT_PWD/ppa-purge
    copy_ppapurge.depends = $$_PRO_FILE_PWD_/ppa-purge
    copy_ppapurge.commands = $(COPY_FILE) \"$$replace(copy_ppapurge.depends, /, $$QMAKE_DIR_SEP)\" \"$$replace(copy_ppapurge.target, /, $$QMAKE_DIR_SEP)\"
    copy_customsudo.target = $$OUT_PWD/customsudo
    copy_customsudo.depends = $$_PRO_FILE_PWD_/customsudo
    copy_customsudo.commands = $(COPY_FILE) \"$$replace(copy_customsudo.depends, /, $$QMAKE_DIR_SEP)\" \"$$replace(copy_customsudo.target, /, $$QMAKE_DIR_SEP)\"
    copy_installclick.target = $$OUT_PWD/installclick
    copy_installclick.depends = $$_PRO_FILE_PWD_/installclick
    copy_installclick.commands = $(COPY_FILE) \"$$replace(copy_installclick.depends, /, $$QMAKE_DIR_SEP)\" \"$$replace(copy_installclick.target, /, $$QMAKE_DIR_SEP)\"
    copy_uninstallclick.target = $$OUT_PWD/uninstallclick
    copy_uninstallclick.depends = $$_PRO_FILE_PWD_/uninstallclick
    copy_uninstallclick.commands = $(COPY_FILE) \"$$replace(copy_uninstallclick.depends, /, $$QMAKE_DIR_SEP)\" \"$$replace(copy_uninstallclick.target, /, $$QMAKE_DIR_SEP)\"
    QMAKE_EXTRA_TARGETS += copy_customcitrain copy_ppapurge copy_customsudo copy_installclick copy_uninstallclick
    PRE_TARGETDEPS += $$copy_customcitrain.target $$copy_ppapurge.target $$copy_customsudo.target $$copy_installclick.target $$copy_uninstallclick.target
}
